Description: Bonjour à tous,

j'arrive à créer un sujet avec amc et pdfform. Lorsque j'édite le sujet ou le catalogue, les cases à cocher 
apparaissent bien et je peux cliquer dessus. Mais lorsque je choisis d'imprimer les copies pour les envoyer à 
mes étudiants j'obtiens des sujets sans cases à cliquer. Comment régler ce problème, svp ?

History
11/05/2020 06:05 pm - Yoann Dabrowski
Bonjour,

J'ai rencontré le même problème mais je peux préciser un peu. Pour moi ce problème est présent dans la version récente 1.4.0+git2020-08-24
Par contre, le problème n'est pas présent dans la dernière version des dépôts d'ubuntu 19.04 Je suppose que c'est une version similaire à la dernière 
version de 2019 1.4.0-1~bionic1.
En conséquence, pour résoudre le problème temporairement, en attendant que quelqu'un corrige le bug, je génère les copies avec l'ancienne version 
d'AMC de 2019 et j'utilise la version de 2020 pour la reconnaissance des copies (puisque cette version corrige un bug dans la reconnaissance de la 
première case d'un pdf éditable). 

Cordialement,
Y.D.

11/05/2020 07:44 pm - Yoann Dabrowski
Rebonjour,

En fait je pense avoir trouvé la solution même dans les versions récentes d'AMC, il suffit dans les préférences, de changer la "Méthode d'extraction" 
pour que ce soit qpdf. Les deux autres méthodes (pdftk et gs)  ne préservent pas les pdf éditables. C'était la différence d'option entre mes deux 
installations d'AMC et je ne l'avais pas remarqué avant.

Cordialement,
YD

12/21/2020 09:49 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Tout à fait. Les méthodes d'extraction les plus robustes pour les formulaires PDF sont sejda-console (à installer par ailleurs) puis qpdf.
